# Class StatementDecoratorInterceptor.ResultSetProxy

java.lang.Object
org.apache.tomcat.jdbc.pool.interceptor.StatementDecoratorInterceptor.ResultSetProxy

All Implemented Interfaces:
  `InvocationHandler`

Enclosing class:
  `StatementDecoratorInterceptor`

protected static class StatementDecoratorInterceptor.ResultSetProxy extends Object implements InvocationHandler

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ResultSetProxy(Object st, Object delegate)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `invoke(Object proxy, Method method, Object[] args)`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ResultSetProxy

    public ResultSetProxy(Object st, Object delegate)

- ## Method Details

  - ### invoke

    public Object invoke(Object proxy, Method method, Object[] args) throws Throwable
    Specified by:
      `invoke` in interface `InvocationHandler`
    Throws:
      `Throwable`